List Consultation Tags
curl --request POST \
--url https://schoolmaker.co/api/v1/operations/consultation_tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"per_page": 30
}
'import requests
url = "https://schoolmaker.co/api/v1/operations/consultation_tags"
payload = {
"page": 1,
"per_page": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: 1, per_page: 30})
};
fetch('https://schoolmaker.co/api/v1/operations/consultation_tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "TAG_ID",
"name": "Planning"
}
],
"page": 1,
"next_page": null
}{
"error": "Access denied"
}{
"error": "You do not have permission to perform this action"
}{
"error": "Record not found"
}{
"error": "Invalid arguments: /attributes/is_ready boolean"
}Consultations
List Consultation Tags
Retrieves existing consultation tags, ordered by position. Use their IDs when creating or updating a question.
POST
/
operations
/
consultation_tags
List Consultation Tags
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?